<?php
class Model_barang extends CI_Model
{

	function tampil_data()
	{
		return
			$this->db->join('kategori', 'kategori.id_kategori = barang.id_kategori', 'left')
			->join('suplier','suplier.id_suplier = barang.id_suplier','left')
			->join('ukuran', 'ukuran.id_ukuran = barang.ukuran', 'left')
			->distinct()
			->get('barang');
	}

	function tampilkan_ukuran()
	{
		return  $this->db->get('ukuran');
	}

	function tampil_dropdown()
	{
		return
			$this->db->select('id_barang, nama_barang')
			->from('barang')
			->get();
	}

	function post($data)
	{
		$this->db->insert('barang', $data);
	}

	function get_one($id)
	{
		$param = array('id_barang' => $id);
		return $this->db->get_where('barang', $param);
	}

	function get_ones($id)
	{
		$param = array('nis' => $id);
		return $this->db->get_where('siswa', $param);
	}

	function get_ones2($id)
	{
		$param = array('id_suplier' => $id);
		return $this->db->get_where('suplier', $param);
	}

	function edit($data, $id)
	{
		$this->db->where('id_barang', $id);
		$this->db->update('barang', $data);
	}

	function editsiswa($data, $id)
	{
		$this->db->where('nis', $id);
		$this->db->update('siswa', $data);
	}

	function editsuplier($data, $id)
	{
		$this->db->where('id_suplier', $id);
		$this->db->update('suplier', $data);
	}

	function hapus($id)
	{
		$this->db->where('id_barang', $id);
		$this->db->delete('barang');
	}

	function hapussiswa($id)
	{
		$this->db->where('nis', $id);
		$this->db->delete('siswa');
	}

	function hapussuplier($id)
	{
		$this->db->where('id_suplier', $id);
		$this->db->delete('suplier');
	}

	function get_detail_modal($id)
	{
		return $this->db->where('id_barang', $id)
			->get('barang')
			->row();
	}

	function get_detail_modal2($id)
	{
		return $this->db->where('id_suplier', $id)
			->get('suplier')
			->row();
	}
}
